## scdoc 1.5.2

=== Makefile ===
VERSION=1.5.2
CFLAGS+=-g -DVERSION='"$(VERSION)"' -Wall -Wextra -Werror -Wno-unused-parameter
LDFLAGS+=-static
INCLUDE+=-Iinclude
PREFIX?=/usr/local
_INSTDIR=$(DESTDIR)$(PREFIX)
BINDIR?=$(_INSTDIR)/bin
MANDIR?=$(_INSTDIR)/share/man
OUTDIR=.build
HOST_SCDOC=./scdoc
.DEFAULT_GOAL=all

OBJECTS=\
	$(OUTDIR)/main.o \
	$(OUTDIR)/string.o \
	$(OUTDIR)/utf8_chsize.o \
	$(OUTDIR)/utf8_decode.o \
	$(OUTDIR)/utf8_encode.o \
	$(OUTDIR)/utf8_fgetch.o \
	$(OUTDIR)/utf8_fputch.o \
	$(OUTDIR)/utf8_size.o \
	$(OUTDIR)/util.o

$(OUTDIR)/%.o: src/%.c
	@mkdir -p $(OUTDIR)
	$(CC) -std=c99 -pedantic -c -o $@ $(CFLAGS) $(INCLUDE) $<

scdoc: $(OBJECTS)
	$(CC) $(LDFLAGS) -o $@ $^

scdoc.1: scdoc.1.scd $(HOST_SCDOC)
	$(HOST_SCDOC) < $< > $@

scdoc.5: scdoc.5.scd $(HOST_SCDOC)
	$(HOST_SCDOC) < $< > $@

all: scdoc scdoc.1 scdoc.5

clean:
	rm -rf $(OUTDIR) scdoc scdoc.1 scdoc.5

install: all
	install -Dm755 scdoc $(BINDIR)/scdoc
	install -Dm644 scdoc.1 $(MANDIR)/man1/scdoc.1
	install -Dm644 scdoc.5 $(MANDIR)/man5/scdoc.5

check: scdoc scdoc.1 scdoc.5
	@find test -perm -111 -exec '{}' \;

.PHONY: all clean install check

=== debian/changelog ===
scdoc (1.5.2-1) unstable; urgency=low

  * Initial release. (Closes: #912754)

 -- Birger Schacht <birger@rantanplan.org>  Sat, 03 Nov 2018 10:20:30 +0100

=== debian/control ===
Source: scdoc
Section: text
Priority: optional
Maintainer: Birger Schacht <birger@rantanplan.org>
Build-Depends: debhelper (>=11~)
Standards-Version: 4.2.1
Homepage: https://git.sr.ht/~sircmpwn/scdoc
Rules-Requires-Root: no

Package: scdoc
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Simple man page generator written for POSIX systems written in C99
 scdoc is a tool designed to make the process of writing man pages more
 friendly. It reads scdoc syntax from stdin and writes roff to stdout, suitable
 for reading with man(1).

## scdoc 1.6.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=1.5.2
+VERSION=1.6.0
 CFLAGS+=-g -DVERSION='"$(VERSION)"' -Wall -Wextra -Werror -Wno-unused-parameter
 LDFLAGS+=-static
 INCLUDE+=-Iinclude

=== debian/changelog ===
scdoc (1.6.0-1) unstable; urgency=medium

  * New release

 -- Birger Schacht <birger@rantanplan.org>  Fri, 18 Jan 2019 21:28:01 +0100

## scdoc 1.8.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=1.6.0
+VERSION=1.8.0
 CFLAGS+=-g -DVERSION='"$(VERSION)"' -Wall -Wextra -Werror -Wno-unused-parameter
 LDFLAGS+=-static
 INCLUDE+=-Iinclude

=== debian/changelog ===
scdoc (1.8.1-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@rantanplan.org>  Sun, 03 Feb 2019 16:16:12 +0100

scdoc (1.8.0-1) unstable; urgency=medium

  * New upstream release
  * Refreshed patch

 -- Birger Schacht <birger@rantanplan.org>  Sun, 03 Feb 2019 15:46:04 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,12 @@
 Section: text
 Priority: optional
 Maintainer: Birger Schacht <birger@rantanplan.org>
-Build-Depends: debhelper (>=11~)
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (=12)
+Standards-Version: 4.3.0
 Homepage: https://git.sr.ht/~sircmpwn/scdoc
 Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/bisco-guest/scdoc
+Vcs-Git: https://salsa.debian.org/bisco-guest/scdoc.git
 
 Package: scdoc
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export CFLAGS = `dpkg-buildflags --get CFLAGS`
export CFLAGS += `dpkg-buildflags --get CPPFLAGS`

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

## scdoc 1.9.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=1.8.0
+VERSION=1.9.0
 CFLAGS+=-g -DVERSION='"$(VERSION)"' -Wall -Wextra -Werror -Wno-unused-parameter
 LDFLAGS+=-static
 INCLUDE+=-Iinclude
@@ -6,6 +6,7 @@
 _INSTDIR=$(DESTDIR)$(PREFIX)
 BINDIR?=$(_INSTDIR)/bin
 MANDIR?=$(_INSTDIR)/share/man
+PCDIR?=$(_INSTDIR)/lib/pkgconfig
 OUTDIR=.build
 HOST_SCDOC=./scdoc
 .DEFAULT_GOAL=all
@@ -43,6 +44,7 @@
 	install -Dm755 scdoc $(BINDIR)/scdoc
 	install -Dm644 scdoc.1 $(MANDIR)/man1/scdoc.1
 	install -Dm644 scdoc.5 $(MANDIR)/man5/scdoc.5
+	install -Dm644 scdoc.pc $(PCDIR)/scdoc.pc
 
 check: scdoc scdoc.1 scdoc.5
 	@find test -perm -111 -exec '{}' \;

=== debian/changelog ===
scdoc (1.9.0-1) unstable; urgency=medium

  * New upstream release
  * Refreshed patch
  * d/rules: Pass PCDIR to the install target
  * d/control: Drop Multiarch hint

 -- Birger Schacht <birger@rantanplan.org>  Wed, 27 Feb 2019 20:21:39 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
 
 Package: scdoc
 Architecture: any
-Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Simple man page generator written for POSIX systems written in C99
  scdoc is a tool designed to make the process of writing man pages more

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,4 @@
 	dh $@
 
 override_dh_auto_install:
-	dh_auto_install -- PREFIX=/usr
+	dh_auto_install -- PREFIX=/usr PCDIR=debian/scdoc/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig

=== debian/watch ===
version=3
https://git.sr.ht/~sircmpwn/scdoc/refs /%7Esircmpwn/scdoc/archive/(.+)\.tar\.gz

## scdoc 1.9.6

=== debian/changelog ===
scdoc (1.9.6-1) unstable; urgency=medium

  * New upstream release
  * Refreshed patch
  * Bumped standards version to 4.4.0 (no changes required to make
    package compliant)
  * d/gitlab-ci.yml: Drop superfluous release variable

 -- Birger Schacht <birger@rantanplan.org>  Mon, 29 Jul 2019 18:51:33 +0200

scdoc (1.9.4-2) unstable; urgency=medium

  * d/rules: Set PREFIX also for build, so that the
    scdoc.pc file gets generated correctly (Closes: #927919)

 -- Birger Schacht <birger@rantanplan.org>  Thu, 25 Apr 2019 09:06:36 +0200

scdoc (1.9.4-1) unstable; urgency=medium

  * New upstream release (Closes: 927734)
  * Refreshed patch
  * Fix d/watch
  * d/rules: Set PCDIR to /usr/share/pkgconfig
  * d/control: Readd multiarch hints

 -- Birger Schacht <birger@rantanplan.org>  Sat, 02 Mar 2019 22:16:25 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Birger Schacht <birger@rantanplan.org>
 Build-Depends: debhelper-compat (=12)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://git.sr.ht/~sircmpwn/scdoc
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/bisco-guest/scdoc
 Vcs-Git: https://salsa.debian.org/bisco-guest/scdoc.git
 
 Package: scdoc
+Multi-Arch: foreign
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Simple man page generator written for POSIX systems written in C99

## scdoc 1.10.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=1.9.0
+VERSION=1.10.0
 CFLAGS+=-g -DVERSION='"$(VERSION)"' -Wall -Wextra -Werror -Wno-unused-parameter
 LDFLAGS+=-static
 INCLUDE+=-Iinclude
@@ -35,16 +35,20 @@
 scdoc.5: scdoc.5.scd $(HOST_SCDOC)
 	$(HOST_SCDOC) < $< > $@
 
-all: scdoc scdoc.1 scdoc.5
+scdoc.pc: scdoc.pc.in
+	sed -e 's:@prefix@:$(PREFIX):g' -e 's:@version@:$(VERSION):g' < $< > $@
+
+all: scdoc scdoc.1 scdoc.5 scdoc.pc
 
 clean:
-	rm -rf $(OUTDIR) scdoc scdoc.1 scdoc.5
+	rm -rf $(OUTDIR) scdoc scdoc.1 scdoc.5 scdoc.pc
 
 install: all
-	install -Dm755 scdoc $(BINDIR)/scdoc
-	install -Dm644 scdoc.1 $(MANDIR)/man1/scdoc.1
-	install -Dm644 scdoc.5 $(MANDIR)/man5/scdoc.5
-	install -Dm644 scdoc.pc $(PCDIR)/scdoc.pc
+	mkdir -p $(BINDIR) $(MANDIR)/man1 $(MANDIR)/man5 $(PCDIR)
+	install -m755 scdoc $(BINDIR)/scdoc
+	install -m644 scdoc.1 $(MANDIR)/man1/scdoc.1
+	install -m644 scdoc.5 $(MANDIR)/man5/scdoc.5
+	install -m644 scdoc.pc $(PCDIR)/scdoc.pc
 
 check: scdoc scdoc.1 scdoc.5
 	@find test -perm -111 -exec '{}' \;

=== debian/changelog ===
scdoc (1.10.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Jonas Meurer <jonas@freesources.org>  Tue, 31 Dec 2019 17:55:14 +0100

scdoc (1.10.0-1) unstable; urgency=medium

  * New upstream release
  * d/copyright:
   - Replaced Upstream-Author with Upstream-Contact
  * d/patches:
   - Refreshed patch
  * d/control:
   - Bumped Standards-Version to 4.4.1 (no changes required to
     make package compliant)

 -- Birger Schacht <birger@rantanplan.org>  Mon, 21 Oct 2019 20:07:07 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Birger Schacht <birger@rantanplan.org>
 Build-Depends: debhelper-compat (=12)
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://git.sr.ht/~sircmpwn/scdoc
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/bisco-guest/scdoc

## scdoc 1.10.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=1.10.0
+VERSION=1.10.1
 CFLAGS+=-g -DVERSION='"$(VERSION)"' -Wall -Wextra -Werror -Wno-unused-parameter
 LDFLAGS+=-static
 INCLUDE+=-Iinclude

=== debian/changelog ===
scdoc (1.10.1-1) unstable; urgency=medium

  * New upstream release
  * d/patches:
   - Refreshed patch
  * d/control:
   - Bumped Standards-Version to 4.5.0 (no changes required to
     make package compliant)

 -- Birger Schacht <birger@rantanplan.org>  Sun, 16 Feb 2020 19:52:42 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Birger Schacht <birger@rantanplan.org>
 Build-Depends: debhelper-compat (=12)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://git.sr.ht/~sircmpwn/scdoc
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/bisco-guest/scdoc

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,7 @@
 	dh $@
 
 override_dh_auto_install:
-	dh_auto_install -- PREFIX=/usr PCDIR=debian/scdoc/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig
+	dh_auto_install -- PREFIX=/usr PCDIR=debian/scdoc/usr/share/pkgconfig
+
+override_dh_auto_build:
+	dh_auto_build -- PREFIX=/usr

=== debian/watch ===
version=3
https://git.sr.ht/~sircmpwn/scdoc/refs /~sircmpwn/scdoc/archive/(.+)\.tar\.gz

## scdoc 1.11.0

=== debian/changelog ===
scdoc (1.11.0-1) unstable; urgency=medium

  * New upstream release
  * d/rules and d/patches: dropped the patch to unset
    upstreams LDFLAGS and instead set the variable in
    d/rules; also did some cleanup in d/rules
  * d/upstream/metadata: add Bug-Submit field
  * d/control
   + change Maintainer field address to debian.org address
   + bump debhelper-compat version to 13
   + adjust VCS-* URLs to point to debian namespace
  * Added a d/gbp.conf to specify default branch and pristine-tar

 -- Birger Schacht <birger@debian.org>  Fri, 17 Jul 2020 16:07:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: scdoc
 Section: text
 Priority: optional
-Maintainer: Birger Schacht <birger@rantanplan.org>
-Build-Depends: debhelper-compat (=12)
+Maintainer: Birger Schacht <birger@debian.org>
+Build-Depends: debhelper-compat (=13)
 Standards-Version: 4.5.0
 Homepage: https://git.sr.ht/~sircmpwn/scdoc
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/bisco-guest/scdoc
-Vcs-Git: https://salsa.debian.org/bisco-guest/scdoc.git
+Vcs-Browser: https://salsa.debian.org/debian/scdoc
+Vcs-Git: https://salsa.debian.org/debian/scdoc.git
 
 Package: scdoc
 Multi-Arch: foreign

## scdoc 1.11.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=1.10.1
+VERSION=1.11.1
 CFLAGS+=-g -DVERSION='"$(VERSION)"' -Wall -Wextra -Werror -Wno-unused-parameter
 LDFLAGS+=-static
 INCLUDE+=-Iinclude

=== debian/changelog ===
scdoc (1.11.1-1) unstable; urgency=medium

  * New upstream release
  * Bump standards verstion to 4.5.1 (no changes required)
  * Bump watchfile version to 4

 -- Birger Schacht <birger@debian.org>  Sat, 06 Feb 2021 16:27:13 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Birger Schacht <birger@debian.org>
 Build-Depends: debhelper-compat (=13)
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://git.sr.ht/~sircmpwn/scdoc
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/scdoc

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)

export PREFIX=/usr
export PCDIR=debian/scdoc/usr/share/pkgconfig

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- LDFLAGS="$(LDFLAGS)"

## scdoc 1.11.2

=== Makefile ===
VERSION=1.11.2
CFLAGS?=-g
MAINFLAGS:=-DVERSION='"$(VERSION)"' -Wall -Wextra -Werror -Wno-unused-parameter
LDFLAGS+=-static
INCLUDE+=-Iinclude
PREFIX?=/usr/local
BINDIR?=$(PREFIX)/bin
MANDIR?=$(PREFIX)/share/man
PCDIR?=$(PREFIX)/share/pkgconfig
OUTDIR=.build
HOST_SCDOC=./scdoc
.DEFAULT_GOAL=all

OBJECTS=\
	$(OUTDIR)/main.o \
	$(OUTDIR)/string.o \
	$(OUTDIR)/utf8_chsize.o \
	$(OUTDIR)/utf8_decode.o \
	$(OUTDIR)/utf8_encode.o \
	$(OUTDIR)/utf8_fgetch.o \
	$(OUTDIR)/utf8_fputch.o \
	$(OUTDIR)/utf8_size.o \
	$(OUTDIR)/util.o

$(OUTDIR)/%.o: src/%.c
	@mkdir -p $(OUTDIR)
	$(CC) -std=c99 -pedantic -c -o $@ $(CFLAGS) $(MAINFLAGS) $(INCLUDE) $<

scdoc: $(OBJECTS)
	$(CC) $(LDFLAGS) -o $@ $^

scdoc.1: scdoc.1.scd $(HOST_SCDOC)
	$(HOST_SCDOC) < $< > $@

scdoc.5: scdoc.5.scd $(HOST_SCDOC)
	$(HOST_SCDOC) < $< > $@

scdoc.pc: scdoc.pc.in
	sed -e 's:@prefix@:$(PREFIX):g' -e 's:@version@:$(VERSION):g' < $< > $@

all: scdoc scdoc.1 scdoc.5 scdoc.pc

clean:
	rm -rf $(OUTDIR) scdoc scdoc.1 scdoc.5 scdoc.pc

install: all
	mkdir -p $(DESTDIR)/$(BINDIR) $(DESTDIR)/$(MANDIR)/man1 $(DESTDIR)/$(MANDIR)/man5 $(DESTDIR)/$(PCDIR)
	install -m755 scdoc $(DESTDIR)/$(BINDIR)/scdoc
	install -m644 scdoc.1 $(DESTDIR)/$(MANDIR)/man1/scdoc.1
	install -m644 scdoc.5 $(DESTDIR)/$(MANDIR)/man5/scdoc.5
	install -m644 scdoc.pc $(DESTDIR)/$(PCDIR)/scdoc.pc

uninstall:
	rm -f $(DESTDIR)/$(BINDIR)/scdoc
	rm -f $(DESTDIR)/$(MANDIR)/man1/scdoc.1
	rm -f $(DESTDIR)/$(MANDIR)/man5/scdoc.5
	rm -f $(DESTDIR)/$(PCDIR)/scdoc.pc

check: scdoc scdoc.1 scdoc.5
	@find test -perm -111 -exec '{}' \;

.PHONY: all clean install uninstall check

=== debian/changelog ===
scdoc (1.11.2-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.6.0.1 (no changes required)
  * Stop setting PCDIR in d/rules, now that installation process puts the
    scdoc.pc file in the right place
  * Update copyright for debian/*

 -- Birger Schacht <birger@debian.org>  Sat, 01 Jan 2022 09:45:58 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Birger Schacht <birger@debian.org>
 Build-Depends: debhelper-compat (=13)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Homepage: https://git.sr.ht/~sircmpwn/scdoc
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/scdoc

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,6 @@
 CFLAGS+=$(CPPFLAGS)
 
 export PREFIX=/usr
-export PCDIR=debian/scdoc/usr/share/pkgconfig
 
 %:
 	dh $@

=== debian/watch ===
version=4
https://git.sr.ht/~sircmpwn/scdoc/refs /~sircmpwn/scdoc/archive/(.+)\.tar\.gz

## scdoc 1.11.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=1.11.2
+VERSION=1.11.3
 CFLAGS?=-g
 MAINFLAGS:=-DVERSION='"$(VERSION)"' -Wall -Wextra -Werror -Wno-unused-parameter
 LDFLAGS+=-static

=== debian/changelog ===
scdoc (1.11.3-1) unstable; urgency=medium

  * New upstream release
  * d/control: Bump standards version to 4.6.2
  * d/copyright: Update years

 -- Birger Schacht <birger@debian.org>  Sun, 24 Mar 2024 15:05:39 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Birger Schacht <birger@debian.org>
 Build-Depends: debhelper-compat (=13)
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Homepage: https://git.sr.ht/~sircmpwn/scdoc
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/scdoc

## scdoc 1.11.4

=== debian/changelog ===
scdoc (1.11.4-1) unstable; urgency=medium

  * New upstream version
  * Drop pristine-tar from debian/gbp.conf
  * Bump Standards-Version in debian/control
  * Drop redundant Rules-Requires-Root field in debian/control
  * Update copyright years in debian/copyright

 -- Birger Schacht <birger@debian.org>  Thu, 27 Nov 2025 18:53:18 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: optional
 Maintainer: Birger Schacht <birger@debian.org>
 Build-Depends: debhelper-compat (=13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://git.sr.ht/~sircmpwn/scdoc
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/scdoc
 Vcs-Git: https://salsa.debian.org/debian/scdoc.git

=== debian/watch ===
version: 5

Source: https://git.sr.ht/~sircmpwn/scdoc
Matching-Pattern: refs/tags/@ANY_VERSION@
Mode: git
